Tryton - Issues

 

Issue8528

Title Support dot notation on eval
Priority feature Status resolved
Superseder Nosy List ced, pokoli, reviewbot, roundup-bot
Type feature request Components trytond
Assigned To pokoli Keywords review
Reviews 255711002, 287841003
View: 255711002, 287841003

Created on 2019-07-25.09:57:29 by pokoli, last changed by roundup-bot.

Messages
New changeset a45775f029f6 by Sergi Almacellas Abellana in branch 'default':
Support dot notation on PYSON Eval
https://hg.tryton.org/tryton-env/rev/a45775f029f6
New changeset 6fe6d9056f29 by Sergi Almacellas Abellana in branch 'default':
Support dot notation on PYSON Eval
https://hg.tryton.org/trytond/rev/6fe6d9056f29
New changeset 36abc92c806a by Sergi Almacellas Abellana in branch 'default':
Support dot notation on PYSON Eval
https://hg.tryton.org/tryton/rev/36abc92c806a
New changeset 19cad7f898a4 by Sergi Almacellas Abellana in branch 'default':
Support dot notation on PYSON Eval
https://hg.tryton.org/sao/rev/19cad7f898a4
New changeset 22071504df82 by Sergi Almacellas Abellana in branch 'default':
Support dot notation on PYSON Eval
https://hg.tryton.org/proteus/rev/22071504df82
review287841003 updated at https://codereview.tryton.org/287841003/#ps288101002
review287841003 updated at https://codereview.tryton.org/287841003/#ps282141002
review287841003 updated at https://codereview.tryton.org/287841003/#ps280131002
review287841003 updated at https://codereview.tryton.org/287841003/#ps258081002
New changeset a37f097e6c2f by Sergi Almacellas Abellana in branch '5.2':
Remove dot notation usage on Eval
https://hg.tryton.org/modules/carrier_weight/rev/a37f097e6c2f

New changeset 762ec99354cb by Sergi Almacellas Abellana in branch '5.0':
Remove dot notation usage on Eval
https://hg.tryton.org/modules/carrier_weight/rev/762ec99354cb

New changeset bb99ba0baa99 by Sergi Almacellas Abellana in branch '4.8':
Remove dot notation usage on Eval
https://hg.tryton.org/modules/carrier_weight/rev/bb99ba0baa99

New changeset 9f4f66968fdc by Sergi Almacellas Abellana in branch '4.6':
Remove dot notation usage on Eval
https://hg.tryton.org/modules/carrier_weight/rev/9f4f66968fdc

New changeset 35847395e1bb by Sergi Almacellas Abellana in branch '4.4':
Remove dot notation usage on Eval
https://hg.tryton.org/modules/carrier_weight/rev/35847395e1bb
review287841003 updated at https://codereview.tryton.org/287841003/#ps265881002
msg51509 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-08-26.16:14:56
> It is missing account_invoice and notification_email fixes.

Those patches where included on issue8523 and issue8546 which are already resolved (and backported)

So only carrier_weight was missing.
msg51508 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-08-26.16:12:29
It is missing account_invoice and notification_email fixes.
New changeset c02a608abac6 by Sergi Almacellas Abellana in branch 'default':
Remove dot notation usage on Eval
https://hg.tryton.org/tryton-env/rev/c02a608abac6
New changeset 79e10cde69e0 by Sergi Almacellas Abellana in branch 'default':
Remove dot notation usage on Eval
https://hg.tryton.org/modules/carrier_weight/rev/79e10cde69e0
msg51485 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-08-25.14:04:55
Could you commit review255711002 so we can backport fixes.
review287841003 updated at https://codereview.tryton.org/287841003/#ps265851002
review287841003 updated at https://codereview.tryton.org/287841003/#ps287911002
review287841003 updated at https://codereview.tryton.org/287841003/#ps272041002
review287841003 updated at https://codereview.tryton.org/287841003/#ps261941002
review287841003 updated at https://codereview.tryton.org/287841003/#ps270031002
review287841003 updated at https://codereview.tryton.org/287841003/#ps257851004
review287841003 updated at https://codereview.tryton.org/287841003/#ps283821004
msg50917 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-07-26.14:05:01
I think it is better to have review255711002 applied on trunk and backported before applying review287841003.
msg50916 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-07-26.13:49:55
I updated review255711002 to be based on 5.2 and include only modules, so it can be applied for backport. Just note that the fix for notification_email should be also applied on trunk. 

Here is review287841003 that add support for dot notation in Eval
review255711002 updated at https://codereview.tryton.org/255711002/#ps253911003
msg50881 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-07-25.13:10:25
Could not we support the dotted notation in Eval instead? As it is a common mistakes, we could simply avoid it by implementing what user expect.
So Eval could split on '.' and loop over each item to get the value.

But module fixes from review255711002 should be kept and apply for backport.
review255711002 updated at https://codereview.tryton.org/255711002/#ps285621002
review255711002 updated at https://codereview.tryton.org/255711002/#ps267691002
review255711002 updated at https://codereview.tryton.org/255711002/#ps255711003
New review255711002 at https://codereview.tryton.org/255711002/#ps249691002
msg50859 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-07-25.09:58:40
Here is review255711002, I'm currently running the test on all modules to see if there is any module that should be fixed.
msg50858 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-07-25.09:57:28
Following https://codereview.tryton.org/287821002/#msg8

It will allow to spot issues like issue8523 while developing.
History
Date User Action Args
2019-09-19 14:13:38roundup-botsetmessages: + msg51924
2019-09-19 14:12:40roundup-botsetmessages: + msg51923
2019-09-19 14:12:38roundup-botsetmessages: + msg51922
2019-09-19 14:12:34roundup-botsetmessages: + msg51921
2019-09-19 14:12:29roundup-botsetstatus: testing -> resolved
messages: + msg51920
2019-09-17 12:21:26reviewbotsetmessages: + msg51891
2019-09-17 09:17:23reviewbotsetmessages: + msg51878
2019-09-12 18:47:23reviewbotsetmessages: + msg51809
2019-09-12 16:12:01reviewbotsetmessages: + msg51801
2019-09-10 18:15:47pokolisetstatus: in-progress -> testing

Showing 10 items. Show all history (warning: this could be VERY long)